com.rscja.deviceapi.entity

## Class ScannerParameterEntity

- java.lang.Object
- - com.rscja.deviceapi.entity.ScannerParameterEntity

-     public class ScannerParameterEntity
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ScannerParameterEntity.Builder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScannerParameterEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBarcodeContinuousScanIntervalTime()` 连续扫描间隔时间 continuous scanning intervals
    `int` | `getBarcodeContinuousScanTimeOut()` 连续扫描超时时间 continuous scanning time-out
    `int` | `getBarcodeFormat()` 条码编码格式 barcode decoding format
    `java.lang.String` | `getFilterChars()` 过滤字符串 Filter string
    `int` | `getInterceptTrimLeft()` 截取左边字符串 Capture string on left
    `int` | `getInterceptTrimRight()` 截取右边字符串 capture string on right
    `int` | `getOutputMode()` 输出模式 Output mode
    `java.lang.String` | `getPrefix()` Prefix
    `java.lang.String` | `getScanResultBroadcastAction()` Broadcast Action
    `java.lang.String` | `getScanResultBroadcastKey()` Broadcast Key
    `java.lang.String` | `getSuffix()` suffix
    `boolean` | `isBarcodeContinuousScan()` 扫描头连续扫描模式 Scanning head Continuous scanning mode
    `boolean` | `isEnableBarcode2D()`
    `boolean` | `isEnableScanner()`
    `boolean` | `isEnter()` 是否启用回车 Enter ON/OFF
    `boolean` | `isFailureSound()` 扫描失败是否播放提示音 scan failure sound ON/OFF
    `boolean` | `isReleaseScanKeyOnStartScan()` ScanOnRelease
    `boolean` | `isReleaseScanKeyOnStopScan()` 松开扫描按键停止扫描 Stop scan after release scan button
    `boolean` | `isScanFailureBroadcast()` 扫描失败是否发送广播,接收广播的action和扫描成功的action是同一个 Send broadcast when scan failure
    `boolean` | `isSuccessSound()` 扫描成功是否播放提示音 Scan success sound ON/OFF
    `boolean` | `isTab()` 是否启用TAB TAB ON/OFF
    `boolean` | `isVibrate()` 扫描成功是否震动提示 scan success vibrate ON/OFF
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScannerParameterEntity

          public ScannerParameterEntity()

  - ### Method Detail

    - #### isReleaseScanKeyOnStopScan

          public boolean isReleaseScanKeyOnStopScan()

      松开扫描按键停止扫描
      Stop scan after release scan button
      Returns:

    - #### isVibrate

          public boolean isVibrate()

      扫描成功是否震动提示
      scan success vibrate ON/OFF
      Returns:

    - #### isSuccessSound

          public boolean isSuccessSound()

      扫描成功是否播放提示音
      Scan success sound ON/OFF
      Returns:

    - #### isFailureSound

          public boolean isFailureSound()

      扫描失败是否播放提示音
      scan failure sound ON/OFF
      Returns:

    - #### isEnter

          public boolean isEnter()

      是否启用回车
      Enter ON/OFF
      Returns:

    - #### isTab

          public boolean isTab()

      是否启用TAB
      TAB ON/OFF
      Returns:

    - #### getOutputMode

          public int getOutputMode()

      输出模式
      Output mode
      Returns:
        outputMode 0:扫描到光标位置(scan content to cursor) 1:剪切板(clipboard) 2:广播(broadcast) 3:模拟键盘(analog keyboard)

    - #### getScanResultBroadcastAction

          public java.lang.String getScanResultBroadcastAction()

      Broadcast Action
      Returns:

    - #### getScanResultBroadcastKey

          public java.lang.String getScanResultBroadcastKey()

      Broadcast Key
      Returns:

    - #### getSuffix

          public java.lang.String getSuffix()

      suffix
      Returns:

    - #### getPrefix

          public java.lang.String getPrefix()

      Prefix
      Returns:

    - #### getInterceptTrimLeft

          public int getInterceptTrimLeft()

      截取左边字符串
      Capture string on left
      Returns:

    - #### getInterceptTrimRight

          public int getInterceptTrimRight()

      截取右边字符串
      capture string on right
      Returns:

    - #### getFilterChars

          public java.lang.String getFilterChars()

      过滤字符串
      Filter string
      Returns:

    - #### getBarcodeFormat

          public int getBarcodeFormat()

      条码编码格式
      barcode decoding format
      Returns:
        0: Default 1: ASCII 2:GB2312 3:UTF8 4:Unicode 10:GBK, 11:GB18030

    - #### isBarcodeContinuousScan

          public boolean isBarcodeContinuousScan()

      扫描头连续扫描模式 Scanning head Continuous scanning mode
      Returns:

    - #### getBarcodeContinuousScanIntervalTime

          public int getBarcodeContinuousScanIntervalTime()

      连续扫描间隔时间
      continuous scanning intervals
      Returns:

    - #### getBarcodeContinuousScanTimeOut

          public int getBarcodeContinuousScanTimeOut()

      连续扫描超时时间
      continuous scanning time-out
      Returns:

    - #### isScanFailureBroadcast

          public boolean isScanFailureBroadcast()

      扫描失败是否发送广播,接收广播的action和扫描成功的action是同一个
      Send broadcast when scan failure
      Returns:

    - #### isReleaseScanKeyOnStartScan

          public boolean isReleaseScanKeyOnStartScan()

      ScanOnRelease
      Returns:

    - #### isEnableBarcode2D

          public boolean isEnableBarcode2D()

    - #### isEnableScanner

          public boolean isEnableScanner()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`